FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian User

 
 
LinkBack Thread Tools
 
Old 06-17-2008, 11:23 AM
Brent Clark
 
Default No override present

Hi

Would anyone know how to fix the following.

root@eccowall:~# apt-get remove dspam-webfrontend --purge
Reading package lists... Done
Building dependency tree
Reading state information... Done

The following packages will be REMOVED
dspam-webfrontend
0 upgraded, 0 newly installed, 1 to remove and 71 not upgraded.
1 not fully installed or removed.
After this operation, 291kB disk space will be freed.
Do you want to continue [Y/n]? y
(Reading database ... 39302 files and directories currently installed.)
Removing dspam-webfrontend ...
No override present.
No override present.
No override present.
No override present.
No override present.
No override present.
dpkg: error processing dspam-webfrontend (--remove):
subprocess post-removal script returned error exit status 2
Errors were encountered while processing:
dspam-webfrontend

Kind Regards
Brent Clark


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 06-17-2008, 09:50 PM
Florian Kulzer
 
Default No override present

On Tue, Jun 17, 2008 at 13:23:53 +0200, Brent Clark wrote:
> Hi
>
> Would anyone know how to fix the following.
>
> root@eccowall:~# apt-get remove dspam-webfrontend --purge
> Reading package lists... Done
> Building dependency tree Reading state information... Done
> The following packages will be REMOVED
> dspam-webfrontend
> 0 upgraded, 0 newly installed, 1 to remove and 71 not upgraded.
> 1 not fully installed or removed.
> After this operation, 291kB disk space will be freed.
> Do you want to continue [Y/n]? y
> (Reading database ... 39302 files and directories currently installed.)
> Removing dspam-webfrontend ...
> No override present.
> No override present.
> No override present.
> No override present.
> No override present.
> No override present.
> dpkg: error processing dspam-webfrontend (--remove):
> subprocess post-removal script returned error exit status 2
> Errors were encountered while processing:
> dspam-webfrontend

You can list the dspam-related overrides with this command:

dpkg-statoverride --list | grep dpsam

My guess is that this will come up empty and that the postrm script does
not deal with this correctly. From looking at the postrm script of
version 3.6.8-8 (Lenny/Sid) I get the impression that this line

dpkg-statoverride --quiet --remove /etc/dspam/webfrontend.conf

might have be changed to

dpkg-statoverride --quiet --remove /etc/dspam/webfrontend.conf || true

to make it work. You can edit the script yourself; the file should be
here:

/var/lib/dpkg/info/dspam-webfrontend.postrm

If you cannot fix this on your own then tell us exactly which version of
dspam-webfrontend you are trying to purge and which branch of Debian you
run.

--
Regards, | http://users.icfo.es/Florian.Kulzer
Florian |


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 
Old 06-18-2008, 12:00 PM
"Eugene V. Lyubimkin"
 
Default No override present

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Brent Clark wrote:
> Hi
>
> Would anyone know how to fix the following.
>
> root@eccowall:~# apt-get remove dspam-webfrontend --purge
> Reading package lists... Done
> Building dependency tree Reading state information... Done
> The following packages will be REMOVED
> dspam-webfrontend
> 0 upgraded, 0 newly installed, 1 to remove and 71 not upgraded.
> 1 not fully installed or removed.
> After this operation, 291kB disk space will be freed.
> Do you want to continue [Y/n]? y
> (Reading database ... 39302 files and directories currently installed.)
> Removing dspam-webfrontend ...
> No override present.
> No override present.
> No override present.
> No override present.
> No override present.
> No override present.
> dpkg: error processing dspam-webfrontend (--remove):
> subprocess post-removal script returned error exit status 2
> Errors were encountered while processing:
> dspam-webfrontend
>
> Kind Regards
> Brent Clark
>
>
Try to install new version of package (if it exists) and remove it then,
dpkg will try to use new postrm script.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkhY+PkACgkQchorMMFUmYwDhwCgqG3ibX5eTF 53lBtw0L+uuQFf
OPgAn3v77q7SutCJhZQj+MXLJnyTqhLP
=fSjB
-----END PGP SIGNATURE-----


--
To UNSUBSCRIBE, email to debian-user-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
 

Thread Tools




All times are GMT. The time now is 07:52 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org